package org.example;

import com.alibaba.fastjson.JSON;
import com.grapecity.documents.excel.*;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.util.ResourceUtils;
import org.springframework.util.StopWatch;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;
import java.util.Locale;
import java.util.logging.Logger;

/**
 * @Author zhuangyonghui
 * @create 2024/4/20 18:10
 */
@Slf4j
public class Test {
    public static final Logger logger = Logger.getLogger(Test.class.getName());
    public static void main(String[] args) throws IOException {
        Workbook workbook = new Workbook();
        SjsOpenOptions options = new SjsOpenOptions();
        options.setIncludeFormulas(true);
        options.setIncludeStyles(true);
        workbook.setCulture(Locale.US);
        workbook.open(new FileInputStream(ResourceUtils.getFile("classpath:460c4ee89326494daeca45ebc56e9e63494a.sjs")), options);

        workbook.dirty(); // 让所有单元格保持dirty状态, 以触发重算
        workbook.calculate();
        workbook.save("样式异常.xlsx");
        String json = workbook.toJson();
        FileOutputStream fileOutputStream = new FileOutputStream("样式正常的ssJson.ssjson");
        fileOutputStream.write(json.getBytes());
        fileOutputStream.flush();
        fileOutputStream.close();
    }
}
